<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE topic PUBLIC "-//OASIS//DTD DITA Topic//EN" "topic.dtd">
<topic id="eppo-installation-linux">
  <title>Installing <ph keyref="product"/> on Linux</title>
  <prolog>
    <metadata>
      <keywords>
        <indexterm>Installing Oxygen<indexterm>Linux Installation</indexterm></indexterm>
      </keywords>
    </metadata>
  </prolog>
  <body>
    <section id="system_requirements">
      <title>System Requirements</title>
      <p id="p_vwm_bgk_54b">
        <dl id="dl_wwm_bgk_54b">
          <dlentry id="dlentry_xwm_bgk_54b">
            <dt>Operating System</dt>
            <dd conkeyref="reusables-installation/osrequirements.linux"/>
          </dlentry>
          <dlentry id="dlentry_ywm_bgk_54b">
            <dt>CPU</dt>
            <dd conkeyref="reusables-installation/CPU"/>
          </dlentry>
          <dlentry id="dlentry_zwm_bgk_54b">
            <dt>Memory</dt>
            <dd conkeyref="reusables-installation/memory.linux"/>
          </dlentry>
          <dlentry id="dlentry_axm_bgk_54b">
            <dt>Storage</dt>
            <dd conkeyref="reusables-installation/storage"/>
          </dlentry>
          <dlentry id="dlentry_bxm_bgk_54b">
            <dt>Java</dt>
            <dd conkeyref="reusables-installation/java.linux"/>
          </dlentry>
          <dlentry id="dlentry_cxm_bgk_54b">
            <dt>X.org</dt>
            <dd>The version of Java bundled with <ph keyref="product"/> requires <b>X.org</b>
              (Wayland is not supported).</dd>
          </dlentry>
        </dl>
      </p>
    </section>
    <section id="linux_installer">
      <title>Linux Installer</title>
      <p id="p_dxm_bgk_54b">To install <ph keyref="product"/> using the Linux installer, follow these steps:<ol id="ol_exm_bgk_54b">
          <li id="li_fxm_bgk_54b">Make sure that your system meets the <xref
              href="#eppo-installation-linux/system_requirements" format="dita">system
              requirements</xref>.</li>
          <li id="li_gxm_bgk_54b"><xref href="https://www.oxygenxml.com/download.html" format="html" scope="external"
              >Download</xref> the Linux installer.</li>
          <li id="li_hxm_bgk_54b">[Optional] Validate the integrity of the downloaded file by <xref
              href="http://en.wikipedia.org/wiki/Md5sum" format="html" scope="external">checking it
              against the MD5 sum</xref> published on the download page.</li>
          <li id="li_ixm_bgk_54b">Run the installer and follow the instructions in the installation program.<note id="note_jxm_bgk_54b">For
              example, open a shell, <codeph>cd</codeph> to the installation directory, and at the
              prompt type <filepath>sh ./oxygen-32bit.sh</filepath> or <filepath>sh
                ./oxygen-64bit.sh</filepath>, depending on which installer you
              downloaded.</note><note type="warning" id="note_kxm_bgk_54b">If you are running the installer as root and
              your Linux distribution uses Wayland (such as <b>Ubuntu 17.10</b> or <b>Fedora
              25</b>), before running the installer, the local user must first allow the root user
              to access the X server by running the following command (as the local
              user):<codeblock  id="codeblock_lxm_bgk_54b">xhost +SI:localuser:root</codeblock></note></li>
          <li id="li_mxm_bgk_54b">Start <ph keyref="product"/> using one of the following methods:<ul id="ul_nxm_bgk_54b">
              <li id="li_oxm_bgk_54b">Use the <ph product="editor"><filepath>oxygen</filepath></ph><ph product="author"
                    ><filepath>author</filepath></ph><ph product="developer"
                    ><filepath>developer</filepath></ph><ph product="svnClient"
                    ><filepath>syncroSVNClient</filepath></ph> shortcut created by the
                  installer.<note id="note_pxm_bgk_54b">For <b>Ubuntu 17.10</b> (or later), a security dialog box will
                  appear the first time you start the application where you need to select
                    <uicontrol>Trust and Launch</uicontrol> to continue. This dialog box will not
                  appear on subsequent launches.</note></li>
              <li id="li_qxm_bgk_54b">From a command line, type <codeph product="editor">sh oxygen.sh</codeph><codeph
                  product="author">sh oxygenAuthor.sh</codeph><ph product="developer">sh
                  oxygenDeveloper.sh</ph><ph product="svnClient">sh syncroSVNClient.sh</ph>. This
                file is located in the installation folder.</li>
            </ul></li>
          <li id="li_rxm_bgk_54b">To license your copy of <ph keyref="product"/> go to <menucascade>
              <uicontrol>Help</uicontrol>
              <uicontrol>Register</uicontrol>
            </menucascade> and enter your <xref keyref="install_license-key">license
              information</xref>.</li>
        </ol></p>
    </section>
    <section id="unattended_installation">
      <title>Linux Unattended Installation</title>
      <p id="p_sxm_bgk_54b">You can run the installation in unattended mode by running the installer from the command
        line with the <b>-q</b> parameter. By default, running the installer in unattended mode
        installs <ph keyref="product"/> with the default options and does not overwrite existing
        files. You can change various options for the unattended installer using the installer
        command-line parameters.</p>
    </section>
    <section id="command-line-parameters">
      <title>Linux Installer Command-Line Reference</title>
      <p id="p_txm_bgk_54b">The <ph keyref="product"/> installer for Linux supports a variety of
        command-line parameters:</p>
      <p id="p_yxm_bgk_54b">
        <dl id="dl_zxm_bgk_54b">
          <dlentry id="dlentry_aym_bgk_54b">
            <dt>-q</dt>
            <dd>Instructs the installer to run in unattended mode. The installer will not prompt the
              user for input during the install. Default settings will be used for all options
              unless a <xref href="#eppo-installation-linux/windows_installer_responsevarfile"
                format="dita"><filepath>response.varfile</filepath></xref> is specified using the
                <i>-varfile</i> option.</dd>
          </dlentry>
          <dlentry id="dlentry_bym_bgk_54b">
            <dt>-overwrite</dt>
            <dd>In unattended mode, the installer does not overwrite files with the same name if a
              previous version of the <ph keyref="product"/> is installed in the same folder. The
                <b>-overwrite</b> parameter added after the <b>-q</b> parameter forces the
              overwriting of these files.</dd>
          </dlentry>
          <dlentry id="dlentry_cym_bgk_54b">
            <dt>-console</dt>
            <dd>Displays a console during the installation.</dd>
          </dlentry>
          <dlentry id="dlentry_dym_bgk_54b">
            <dt>-varfile</dt>
            <dd>Specifies the location of a <xref
                href="#eppo-installation-linux/windows_installer_responsevarfile" format="dita"
                  ><filepath>response.varfile</filepath></xref>, normally to be used during an
              unattended installation.</dd>
          </dlentry>
          <dlentry id="dlentry_eym_bgk_54b">
            <dt>-V</dt>
            <dd>Used to define a <xref href="#eppo-installation-linux/dl-variable-parameters"
                format="dita">variable parameter</xref> to be used by an installation.</dd>
          </dlentry>
        </dl>
      </p>
      <p id="p_fym_bgk_54b"
        ><u><b>EXAMPLE:</b></u><codeblock  id="codeblock_gym_bgk_54b">oxygen.sh -q -overwrite -console -VautoVersionChecking=false</codeblock></p>
    </section>
    <section id="section_j2m_psv_gwb">
      <title>Command-Line Variables for Preconfiguring License Server Details</title>
      <p id="p_q5m_bgk_54b">For organizations that use a license server to manage user licenses, the
          <ph keyref="product"/> installer also supports the following command-line variables used
        for preconfiguring license server details:</p>
      <p id="p_r5m_bgk_54b">
        <dl id="dl_s5m_bgk_54b">
          <dlentry id="dlentry_t5m_bgk_54b">
            <dt>autoVersionChecking</dt>
            <dd>Used for automatic version checking. Possible values are <b>true</b> (default) or
                <b>false</b>.</dd>
          </dlentry>
          <dlentry id="dlentry_u5m_bgk_54b">
            <dt>backup.license.servlet.url</dt>
            <dd>Specifies the URL of the backup HTTP license server.</dd>
          </dlentry>
          <dlentry id="dlentry_v5m_bgk_54b">
            <dt>backup.license.servlet.user.name</dt>
            <dd>Specifies the user name for the backup HTTP license server.</dd>
          </dlentry>
          <dlentry id="dlentry_w5m_bgk_54b">
            <dt>backup.license.servlet.password</dt>
            <dd>Specifies the password for the backup HTTP license server, in clear form (will be
              stored encrypted).</dd>
          </dlentry>
          <dlentry id="dlentry_x5m_bgk_54b">
            <dt>backup.license.servlet.password.encrypted</dt>
            <dd>Specifies the password for the HTTP license server, in encrypted form. Can be
              obtained from an entry with the same name in an existing
                <filepath>license.xml</filepath> file (found in: <filepath product="editor"
                >[user_home_directory]\AppData\Roaming\com.oxygenxml</filepath><filepath
                product="author"
                >[user_home_directory]\AppData\Roaming\com.oxygenxml.author</filepath><filepath
                product="developer"
                >[user_home_directory]\AppData\Roaming\com.oxygenxml.developer</filepath>).</dd>
          </dlentry>
          <dlentry id="dlentry_y5m_bgk_54b">
            <dt>downloadResources</dt>
            <dd>Used to download resources (links to video demonstrations, webinars, and upcoming
              events) from <ph conkeyref="reusable_links/home"/> to populate the application welcome
              screen. Possible values are <b>true</b> (default) or <b>false</b>.</dd>
          </dlentry>
          <dlentry id="dlentry_z5m_bgk_54b">
            <dt>license.servlet.url</dt>
            <dd>Specifies the URL of the HTTP license server.</dd>
          </dlentry>
          <dlentry id="dlentry_avm_bgk_54b">
            <dt>license.servlet.user.name</dt>
            <dd>Specifies the user name for the HTTP license server.</dd>
          </dlentry>
          <dlentry id="dlentry_bvm_bgk_54b">
            <dt>license.servlet.password</dt>
            <dd>Specifies the password for the HTTP license server, in clear form (will be stored
              encrypted).</dd>
          </dlentry>
          <dlentry id="dlentry_cvm_bgk_54b">
            <dt>license.servlet.password.encrypted</dt>
            <dd>Specifies the password for the HTTP license server, in encrypted form. Can be
              obtained from an entry with the same name in an existing
                <filepath>license.xml</filepath> file (found in: <filepath product="editor"
                >[user_home_directory]\AppData\Roaming\com.oxygenxml</filepath><filepath
                product="author"
                >[user_home_directory]\AppData\Roaming\com.oxygenxml.author</filepath><filepath
                product="developer"
                >[user_home_directory]\AppData\Roaming\com.oxygenxml.developer</filepath>).</dd>
          </dlentry>
          <dlentry id="dlentry_dvm_bgk_54b">
            <dt>reportProblem</dt>
            <dd>Used to report a problem encountered while using <ph keyref="product"/>. Possible
              values are <b>true</b> (default) or <b>false</b>.</dd>
          </dlentry>
        </dl>
      </p>
      <p id="p_evm_bgk_54b"
        ><u><b>EXAMPLE:</b></u><codeblock  id="codeblock_fvm_bgk_54b">oxygen.sh "-Vlicense.servlet.url=http://main.licenseserver:8080/oXygenLicenseServlet/license-servlet"
 "-Vlicense.servlet.user.name=user" "-Vlicense.servlet.password=mypass" 
 "-Vbackup.license.servlet.url=http://backup.licenseserver:8080/oXygenLicenseServlet/license-servlet"
 "-Vbackup.license.servlet.user.name=user" "-Vbackup.license.servlet.password=mypass"</codeblock></p>
      <note conkeyref="reusables-installation/note_register-floating-multiple" id="note_uff_2sv_gwb"
        product="author developer editor authorEclipse developerEclipse editorEclipse"/>
    </section>
    <section id="windows_installer_responsevarfile">
      <title>Linux Installer <i>response.varfile</i></title>
      <p id="p_uym_bgk_54b">The <ph keyref="product"/> installer for Linux also creates a file called
          <filepath>response.varfile</filepath>, which records the choices that the user made when
        running the installer interactively. The generated response file is found in the
          <filepath>[OXYGEN_INSTALL_DIR]/.install4j</filepath> folder. You can use the
          <filepath>response.varfile</filepath> to set the options for an <xref
          href="#eppo-installation-linux/unattended_installation" format="dita">unintended
          install</xref>. For more information about the <filepath>response.varfile</filepath>
        format, see <xref
          href="http://resources.ej-technologies.com/install4j/help/doc/index.html#install4j.helptopics.installers.responseFile"
          format="html" scope="external">install4j site</xref>.</p>
      <p id="p_vym_bgk_54b">
        <dl id="dl-variable-parameters">
          <dlentry id="dlentry_wym_bgk_54b">
            <dt>Variable Parameters (can be used in the <i>response.varfile</i> or from the command
              line)</dt>
            <dd>
              <p id="p_xym_bgk_54b">The following variable parameters are supported in the
                  <filepath>response.varfile</filepath> (or from the command line):</p>
              <p id="p_yym_bgk_54b">
                <dl id="dl_zym_bgk_54b">
                  <dlentry id="dlentry_azm_bgk_54b">
                    <dt>autoVersionChecking</dt>
                    <dd>Used for automatic version checking. Possible values are <b>true</b>
                      (default) or <b>false</b>.</dd>
                  </dlentry>
                  <dlentry id="dlentry_bzm_bgk_54b">
                    <dt>reportProblem</dt>
                    <dd>Used to report a problem encountered while using <ph keyref="product"/>.
                      Possible values are <b>true</b> (default) or <b>false</b>.</dd>
                  </dlentry>
                  <dlentry id="dlentry_czm_bgk_54b">
                    <dt>downloadResources</dt>
                    <dd>Used to download resources (links to video demonstrations, webinars, and
                      upcoming events) from <ph conkeyref="reusable_links/home"/> to populate the
                      application welcome screen. Possible values are <b>true</b> (default) or
                        <b>false</b>.</dd>
                  </dlentry>
                </dl>
              </p>
            </dd>
          </dlentry>
        </dl>
      </p>
    </section>
  </body>
</topic>
